Settlement Rules
List all settlement rules
List all settlement rules available for virtual accounts.
GET
/
v2
/
virtual-accounts
/
settlement-rules
List all settlement rules
curl --request GET \
--url https://production.hifibridge.com/v2/virtual-accounts/settlement-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/virtual-accounts/settlement-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.hifibridge.com/v2/virtual-accounts/settlement-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.hifibridge.com/v2/virtual-accounts/settlement-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"rules": [
{
"id": "15c786fb-de7a-520c-a4b3-f312d4a122d2",
"chain": "BASE",
"includeHIFIFee": false,
"rules": [
{
"type": "PERCENTAGE",
"calculationModel": "FIXED",
"walletAddress": "0x15FB50680fEB2f726413416665c25f9B397b047b",
"value": 0.001,
"tiers": [
{
"min": "1000",
"max": "2000",
"value": 0.0005
}
],
"trigger": {
"paymentRail": [
"ACH"
]
}
}
]
}
],
"nextCursor": "<string>"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Authorizations
Query Parameters
⌘I
List all settlement rules
curl --request GET \
--url https://production.hifibridge.com/v2/virtual-accounts/settlement-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/virtual-accounts/settlement-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.hifibridge.com/v2/virtual-accounts/settlement-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.hifibridge.com/v2/virtual-accounts/settlement-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"rules": [
{
"id": "15c786fb-de7a-520c-a4b3-f312d4a122d2",
"chain": "BASE",
"includeHIFIFee": false,
"rules": [
{
"type": "PERCENTAGE",
"calculationModel": "FIXED",
"walletAddress": "0x15FB50680fEB2f726413416665c25f9B397b047b",
"value": 0.001,
"tiers": [
{
"min": "1000",
"max": "2000",
"value": 0.0005
}
],
"trigger": {
"paymentRail": [
"ACH"
]
}
}
]
}
],
"nextCursor": "<string>"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}